@echo off
rem Sample batch file created by Holger Dopp 
rem Demonstration to use LDAPSearch to discover different directory systems
rem               to use Merger to merge multiple landscape files into one landscape.xml file
rem               to use Reporter to generate html pages from a landscape.xml configuration file

rem set oldpath=%PATH%
rem set path=c:\jdk\bin

rem eDirectory discovery with clear text LDAP connection
java -cp LandscapeGenerator.jar;nxsl.jar;dirxml.jar;ldap.jar;utilities.jar;jargs.jar LDAPSearch -l 172.17.2.51 -p 390 -r -u cn=admin,o=system -w novell -d -n "CUSTOMER NAME" -t "GROSSER TITEL" -s "kleiner titel" -f landscape.xml -c common\images\logos\nc_light.gif

rem eDirectory discovery with SLDAP connection
rem java -cp LandscapeGenerator.jar;nxsl.jar;dirxml.jar;ldap.jar;utilities.jar;jargs.jar LDAPSearch -l 172.17.2.51 -p 637 -r -u cn=admin,o=system -w novell -d -n "CUSTOMER NAME" -t "GROSSER TITEL" -s "kleiner titel" -f landscape.xml -c common\images\logos\nc_light.gif -a c:\jdk\jre\lib\security\cacerts -d

rem eDirectory discovery with anonymous connection
rem java -cp LandscapeGenerator.jar;nxsl.jar;dirxml.jar;ldap.jar;utilities.jar;jargs.jar LDAPSearch -l 172.17.2.51 -p 637 -r -d -n "CUSTOMER NAME" -t "GROSSER TITEL" -s "kleiner titel" -f landscape.xml -c common\images\logos\nc_light.gif

goto reporter

rem Sample to discover eDirectory (default)
:ed
echo eDirectory
java -cp LandscapeGenerator.jar;nxsl.jar;dirxml.jar;ldap.jar;utilities.jar;jargs.jar LDAPSearch -l 172.17.2.91 -p 389 -r -u cn=admin,o=system -w novell -d -n "CUSTOMER NAME" -t "GROSSER TITEL" -s "kleiner titel" -f landscape.xml -c common\images\logos\nc_light.gif

rem Sample to discover Active Directory
:ad
echo.
echo Active Directory
java -cp LandscapeGenerator.jar;ldap.jar;utilities.jar;jargs.jar LDAPSearch -l 172.17.2.92 -p 389 -r -u cn=Admin,cn=users,dc=ad,dc=sim,dc=utopia,dc=novell,dc=com -w novell -d -n "CUSTOMER NAME" -t "GROSSER TITEL" -s "kleiner titel" -f landscape-AD.xml -c common\images\logos\nc_light.gif -y "Active Directory"

rem Sample to discover Lotus Domino
:ld
echo.
echo Lotus 
java -cp LandscapeGenerator.jar;ldap.jar;utilities.jar;jargs.jar LDAPSearch -l 172.17.2.92 -p 390 -r -u cn=Admin -w novell -d -n "CUSTOMER NAME" -t "GROSSER TITEL" -s "kleiner titel" -f landscape-LD.xml -c common\images\logos\nc_light.gif -y "Lotus Domino"


:merger
java -cp LandscapeGenerator.jar Merger landscape.xml landscape-AD.xml landscape-LD.xml

 
:reporter
java -cp LandscapeGenerator.jar;jargs.jar Reporter -f landscape.xml -b C:\Projects\JavaWorkspace\AddOns\LandscapeGenerator\dist -s


:ende
echo.
echo.
echo ************************************************************
echo open INDEX.HTML with your html browser now
echo.


rem set path=%oldpath%
